Get tax profile
curl --request GET \
--url https://api.cadanapay.com/v1/persons/{personId}/taxProfile \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/persons/{personId}/taxProfile"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/persons/{personId}/taxProfile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taxProfile": {
"countryCode": "DE",
"maritalStatus": "single",
"numberOfDependents": 2
}
}{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Persons
Get tax profile
Retrieve a person’s tax profile. Returns the same shape accepted by PUT /v1/persons//taxProfile.
GET
/
v1
/
persons
/
{personId}
/
taxProfile
Get tax profile
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the person
Response
Successful operation
The person's tax profile. Empty if none set.
Example:
{
"countryCode": "DE",
"maritalStatus": "single",
"numberOfDependents": 2
}⌘I